### Name: initExprSetArray
### Title: dummy to initialize the class exprSetArray and its methods and
###   generics
### Aliases: initExprSetArray


### ** Examples

  indCy3=1:3
  indCy5=4:6
  channels <- matrix( c(indCy3,indCy5), nrow=length(indCy3), byrow=FALSE )
  colnames(channels) <- c("Cy3","Cy5")
  eSA <- new("exprSetArray", exprs=matrix(1:60, ncol=6, nrow=10), phenoData=
          new("phenoData", pData=data.frame(matrix(0,nrow=6,ncol=1)),
              varLabels=list(rep("varLabel1",1))), channels=channels)
  stopifnot( identical(pDataSlide(eSA),pData(eSA)[1:3,,drop=FALSE]) )
  eSACy3 <- getExprSetCy3(eSA)
  eSACy5 <- getExprSetCy5(eSA)
  eSADiff <- getExprSetDiff(eSA)
  eSADiff2 <- getExprSetCy3MinusCy5(eSA)
  stopifnot( identical( eSADiff, eSADiff2 ) )
  stopifnot( identical( exprs(eSADiff), exprs(eSACy3)-exprs(eSACy5)) )
  eSAPart <- eSA[,c(1,3,1,4,6,4)]
  eSAInvalid <- eSA[,c(1,3,1,5,6,4),type="invalidExprSetArray"]
  eSAPart2 <- slideSubset(eSA,j=c(1,3,1))
  stopifnot( identical( exprs(eSAPart), exprs(eSAPart2) ) )
  ind <- c(1,1,3,2,3,3)
  stopifnot( identical( exprs(eSADiff[,ind]), exprs(eSACy3[,ind])-exprs(eSACy5[,ind])) )
  stopifnot( dim(exprs(eSADiff[,ind]))[2] == length(ind) )
  eSAPart <- eSA[,1:3] # not recommended
  stopifnot(identical(eSACy3, getExprSetCy3(eSAPart)))
  stopifnot(identical(eSACy3[,c(1,1,1)], getExprSetCy3(eSAPart[,c(1,1,1)])))
  stopifnot(identical(eSACy3[,c(TRUE,TRUE,TRUE)], getExprSetCy3(eSAPart[,c(TRUE,TRUE,TRUE)])))
  stopifnot(identical(eSACy3[,c(FALSE,FALSE,FALSE)], getExprSetCy3(eSAPart[,c(FALSE,FALSE,FALSE)])))
  stopifnot(identical(eSACy3[,c(FALSE,TRUE,FALSE)], getExprSetCy3(eSAPart[,c(FALSE,TRUE,FALSE)])))
  print(eSA)
  print(phenoDataSlide(eSA))
  print(pDataSlide(eSA))
  print(phenoDataCy3(eSA))
  print(pDataCy3(eSA))
  print(phenoDataCy5(eSA))
  print(pDataCy5(eSA))
  eSAeSA <- concatenateExprSetArrays(objectOne=eSA,objectTwo=eSA)
  eSAeSAPart2 <- concatenateExprSetArrays(objectOne=eSA,objectTwo=eSAPart2)
  stopifnot( class(exprSet(eSA)) == "exprSet" )
 


